cURL
curl --request POST \
--url https://api.buildwithchirp.com/v1/whatsapp/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"whatsappPhoneNumberId": "wapn_2DbBs7GWhGvVNJGrDXr5RG0",
"subject": "Customer Support",
"description": "Support channel for premium customers",
"joinApprovalMode": "auto_approve"
}
'import requests
url = "https://api.buildwithchirp.com/v1/whatsapp/groups"
payload = {
"whatsappPhoneNumberId": "wapn_2DbBs7GWhGvVNJGrDXr5RG0",
"subject": "Customer Support",
"description": "Support channel for premium customers",
"joinApprovalMode": "auto_approve"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
whatsappPhoneNumberId: 'wapn_2DbBs7GWhGvVNJGrDXr5RG0',
subject: 'Customer Support',
description: 'Support channel for premium customers',
joinApprovalMode: 'auto_approve'
})
};
fetch('https://api.buildwithchirp.com/v1/whatsapp/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": {
"id": "<string>",
"metaGroupId": "<string>",
"subject": "<string>",
"description": "<string>",
"inviteLink": "<string>",
"suspended": true,
"totalParticipantCount": 123,
"whatsappPhoneNumberId": "<string>",
"createdAt": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}WhatsApp Groups
Create group
Create a new WhatsApp group
POST
/
v1
/
whatsapp
/
groups
cURL
Authorizations
App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations
Body
application/json
ID of the WhatsApp phone number to create the group from
Example:
"wapn_2DbBs7GWhGvVNJGrDXr5RG0"
Group subject (1-60 characters)
Required string length:
1 - 60Example:
"Customer Support"
Group description (max 2048 characters)
Maximum string length:
2048Example:
"Support channel for premium customers"
How join requests are handled
Available options:
auto_approve, approval_required Example:
"auto_approve"
Response
Group created successfully
Show child attributes
Show child attributes
⌘I